Bug 225724 - print/hplip: updating failure: FLAVOR is defined (to py27)
Summary: print/hplip: updating failure: FLAVOR is defined (to py27)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-07 06:00 UTC by O. Hartmann
Modified: 2020-09-07 14:57 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (tijl)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2018-02-07 06:00:10 UTC
FLAVOR starts getting annoying with errors really mystical. print/hplip reject to be updated with the error below:

===>  hplip-3.17.11 FLAVOR is defined (to py27) while this port does not have
FLAVORS..
*** Error code 1

Stop.
make: stopped in /usr/ports/print/hplip
Comment 1 Loïc Bartoletti freebsd_committer 2018-02-09 08:10:41 UTC
hplip works well with python3 (tested today with my hp m1212nf MFP)

I'm agree with O. Hartmann hplip must be flavored.

Thanks
Comment 2 Loïc Bartoletti freebsd_committer 2020-03-13 08:32:28 UTC
hplip uses python3 now, right? May we close this issue?
Comment 3 Ben Woods freebsd_committer 2020-09-03 09:18:23 UTC
Update assignee inline with new port maintainer
Comment 4 commit-hook freebsd_committer 2020-09-07 14:56:32 UTC
A commit references this bug:

Author: tijl
Date: Mon Sep  7 14:55:54 UTC 2020
New revision: 547894
URL: https://svnweb.freebsd.org/changeset/ports/547894

Log:
  The Python 2 support in HPLIP depends on devel/py-gobject, not py-gobject3.

  PR:		225724

Changes:
  head/print/hplip/Makefile
Comment 5 Tijl Coosemans freebsd_committer 2020-09-07 14:57:30 UTC
Fixed in ports r527054 and ports r547894.